Summary:		Status monitor and configuration tool for Epson inkjet printers
Name:			mtink
Version:		1.0.16
Release:		%mkrel 15
License:		GPLv2+
Group:			System/Printing
URL:			http://xwtools.automatix.de/english/startE.htm
Source0:		http://xwtools.automatix.de/files/%{name}-%{version}.tar.gz
Source1:		mtinkd.init
Source2:		mtinkd.sysconfig
Source3:		printutils.png
Source4:		micon.gif
# mtink - Do not request koi8-ru, but koi8-r instead. Fixes mdv#25315
Patch0:			mtink-1.0.14-ru_font.patch
Patch1:			mtink-fhs_fixes.diff
Patch2:			mtink-path_to_printer.desc.diff
Patch3:			mtink-1.0.16-link.patch
Patch4:			mtink-1.0.16-mga-www-browser.patch
BuildRequires:		gimp-devel
BuildRequires:		imagemagick
BuildRequires:		pkgconfig(x11)
BuildRequires:		lesstif-devel
BuildRequires:		pkgconfig(xt)
Requires(post):		systemd >= %{systemd_required_version}
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Requires:		desktop-common-data

%description
Mtink is a status monitor which allow to get the remaining ink quantity,
printing of test patterns, changing and cleaning cartridges.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1

cp %{SOURCE1} mtinkd.init
cp %{SOURCE2} mtinkd.sysconfig
cp %{SOURCE3} printutils.png

%build
%serverbuild

perl -p -i -e 's|(/usr/X11R6)/lib\b|\1/%{_lib}|g' Makefile.ORG
perl -p -i -e 's|(/usr)/lib\b|\1/%{_lib}|g' Makefile.ORG
perl -p -i -e 's|(/usr)/lib$|\1/%{_lib}|g' Configure
perl -p -i -e 's|(''/usr/)lib('')|$1%{_lib}$2|g' checkMotifVersion.sh
perl -pi -e "s|^DBG = .*|DBG = $CFLAGS|g" Makefile.ORG

./Configure --no-suid --prefix /usr

%make LDFLAGS="%{ldflags}"

# Fix some small bugs
#perl -p -i -e "s/START_LEVEL=S99mtink/START_LEVEL=S59mtink/" etc/installInitScript.sh
#perl -p -i -e "s/STOP_LEVEL=K02mtink/START_LEVEL=K61mtink/" etc/installInitScript.sh
#perl -p -i -e "s/for d in 2 3 4 5/XXXXXXXXXX/" etc/installInitScript.sh
#perl -p -i -e "s/for d in 0 1 6/for d in 2 3 4 5/" etc/installInitScript.sh
#perl -p -i -e "s/XXXXXXXXXX/for d in 0 1 6/" etc/installInitScript.sh
#perl -p -i -e "s!cp mtink /etc/init.d!!" etc/installInitScript.sh
perl -p -i -e "s!chmod 744 /etc/init.d/mtink!!" etc/installInitScript.sh

%install
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libdir}/gimp/2.0/plug-ins
install -d %{buildroot}%{_prefix}/lib/cups/backend
install -d %{buildroot}%{_localstatedir}/lib/mtink
install -d %{buildroot}%{_datadir}/mtink

install -m0755 mtink %{buildroot}%{_bindir}/
install -m0755 ttink %{buildroot}%{_bindir}/
install -m0755 mtinkc %{buildroot}%{_bindir}/
install -m0755 mtinkd %{buildroot}%{_sbindir}/
install -m0755 mtinkd.init %{buildroot}%{_initrddir}/mtinkd
install -m0644 mtinkd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/mtinkd

install -m0644 utils/printer.desc.bldin %{buildroot}%{_datadir}/mtink/printer.desc
install -m0644 utils/*.align %{buildroot}%{_datadir}/mtink/

install -m0755 etc/installInitScript.sh %{buildroot}%{_sbindir}/mtink-installInitScript
install -m0755 detect/askPrinter %{buildroot}%{_sbindir}/
install -m0755 etc/mtink-cups %{buildroot}%{_prefix}/lib/cups/backend/mtink
install -m0755 gimp-mtink %{buildroot}%{_libdir}/gimp/2.0/plug-ins/

# Documentation
cp -ax etc/readme README.mtinkd.startup

# Menu icon
# Menu entries for printer-utils package
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -m 644 printutils.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
# mtink icon
mkdir -p %buildroot/%{_miconsdir}
mkdir -p %buildroot/%{_iconsdir}
mkdir -p %buildroot/%{_liconsdir}
convert %SOURCE4 -resize 16x16 %buildroot/%{_miconsdir}/%name.png
convert %SOURCE4 -resize 32x32 %buildroot/%{_iconsdir}/%name.png
convert %SOURCE4 -resize 48x48 %buildroot/%{_liconsdir}/%name.png

# Menu entries
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Epson Inkjet Printer Manager
Name[ru]=Менеджер струйных принтеров Epson
Name[nb]=Epson Inkjet skriverhåndterer
GenericName=Alignment, ink level, cartridge maintenance
GenericName[ru]=Выравнивание, чернила, картриджи
GenericName[nb]=Vis oppstilling, blekknivå og utfør vedlikehold
Comment=Status monitor and configuration tool for Epson inkjet printers
Comment[ru]=Контроль состояния и инструмент конфигурации для струйных принтеров Epson
Exec=mtink
Icon=printutils
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/mtink 0750 lp sys
EOF

%post
%_tmpfilescreate %{name}
%_post_service mtinkd
if [ "$1" -eq "1" ]; then
    # On fresh installs, disable mtinkd on boot time
    chkconfig mtinkd off
fi
# Restart the mtinkd when it is running, but do not activate it by
# default. It blocks the ports for non-Epson devices.
if [ "$1" -eq "2" ]; then
    # On update
    service mtinkd condrestart > /dev/null 2>/dev/null || :
fi

%preun
#Stop mtinkd when uninstalling printer-filters
%_preun_service mtinkd

%postun
if [ "$1" -ge "1" ]; then
    # On update
    /sbin/service mtinkd condrestart >/dev/null 2>&1
fi

%triggerin -n mtink -- printer-utils-2007
mtinkpid="`pidof mtink`"
if ! [ -z "${mtinkpid}" ]; then
    kill `cat ${mtinkpid}`
    %{_initrddir}/mtinkd start
fi

%files
%doc README.mtinkd.startup CHANGE.LOG doc/*
%attr(0755,root,root) %{_initrddir}/mtinkd
%attr(0644,root,sys) %config(noreplace) %{_sysconfdir}/sysconfig/mtinkd
%{_tmpfilesdir}/%{name}.conf
%{_sbindir}/mtinkd
%{_sbindir}/askPrinter
%{_sbindir}/mtink-installInitScript
%attr(0755,root,sys) %{_bindir}/mtinkc
# These four must be SGID sys/SUID root to be able to access the printer
# devices
%attr(6755,root,sys) %{_bindir}/mtink
%attr(6755,root,sys) %{_bindir}/ttink
%attr(2755,lp,sys) %{_libdir}/gimp/2.0/plug-ins/gimp-mtink

%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/printutils.png
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%attr(0750,lp,sys) %dir %{_localstatedir}/lib/mtink
%attr(0755,root,root) %dir %{_datadir}/mtink
%attr(0644,root,root) %{_datadir}/mtink/*
%attr(0755,root,root) %{_prefix}/lib/cups/backend/mtink




%changelog
* Fri Nov 28 2014 alexl <alexl> 1.0.16-15.mga5
+ Revision: 799788
- translated GenericName into Russian shorter

* Thu Nov 20 2014 alexl <alexl> 1.0.16-14.mga5
+ Revision: 798027
- used www-browser

* Wed Nov 19 2014 alexl <alexl> 1.0.16-13.mga5
+ Revision: 797834
- updated url
- fixed license tag
- cleanup spec
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0.16-12.mga5
+ Revision: 747689
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.16-11.mga5
+ Revision: 682679
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.16-10.mga4
+ Revision: 522649
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1.0.16-9.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 1.0.16-8.mga3
+ Revision: 362754
- add tmpfiles config for /run/mtink

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 1.0.16-6.mga2
+ Revision: 143715
- use system ldflags

* Tue Apr 26 2011 wally <wally> 1.0.16-5.mga2
+ Revision: 91774
- fix desktop file name (mga#954)
- fix exec line in desktop file
- drop buildroot definition

* Wed Feb 23 2011 ennael <ennael> 1.0.16-4.mga1
+ Revision: 58067
- clean spec file
- imported package mtink


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.16-4mdv2011.0
+ Revision: 606668
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.16-3mdv2010.1
+ Revision: 520917
- fix deps
- rebuilt for 2010.1
- rebuild

* Sun May 03 2009 Crispin Boylan <crisb@mandriva.org> 1.0.16-1mdv2010.0
+ Revision: 370984
- New version
  Rediff part of fhs patch

* Sun Nov 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.14-14mdv2009.1
+ Revision: 299307
- install printutils icon in hicolor theme instead of locolor
  (the later does not have an icon theme index)

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-13mdv2009.0
+ Revision: 232201
- fix deps
- rebuild

  + Austin Acton <austin@mandriva.org>
    - unify menu entry with HP, Z42
    - add icon (bug #36900)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 1.0.14-10mdv2008.1
+ Revision: 157257
- rebuild with fixed %%serverbuild macro

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0.14-8mdv2008.1
+ Revision: 153268
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.14-7mdv2008.0
+ Revision: 84522
- Disable mtinkd on boot on fresh installs, as this was the default behavior
  and it inpacts on other printers. Closes: #31086

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-6mdv2008.0
+ Revision: 75348
- fix deps (pixel)

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Aug 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-5mdv2008.0
+ Revision: 70863
- fix deps

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-4mdv2008.0
+ Revision: 65253
- bump release
- fix deps
- use the new System/Printing RPM GROUP

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-2mdv2008.0
+ Revision: 61095
- rebuild

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-1mdv2008.0
+ Revision: 60983
- Import mtink



* Thu Aug 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-1mdv2008.0
- initial Mandriva package
